*-----------------------------------------------------------------------
*     DIMENSIONS
*-----------------------------------------------------------------------
      subroutine nxddef(ncdfid,cdname,ndsize)

      include   '/usr/local/include/netcdf.inc'

      character cdname*(*)


      if (ndsize.eq.0) then
        ndsizz=NCUNLIM
      else
        ndsizz=ndsize
      end if

      ndimid=ncddef(ncdfid,cdname,ndsizz,ircode)
      if (ircode.ne.0) call msgdmp('e','nxddef','error in ncddef.')

      end
